Loading...
Searching...
No Matches
vectorize::detail::generic_vec_type< T > Struct Template Reference

## Public Types

enum | { unroll_size = 1 }
typedef T | register_type
typedef T | value_type

## Static Public Member Functions

static register_type | set1 (const value_type &x)
static register_type | zero ()
static register_type | mul (const register_type &v1, const register_type &v2)
static register_type | add (const register_type &v1, const register_type &v2)
static register_type | load (const value_type *px)
static register_type | loadu (const value_type *px)
static void | store (value_type *px, const register_type &v)
static void | storeu (value_type *px, const register_type &v)
static value_type | resemble (const register_type &x)

The documentation for this struct was generated from the following file:

- tiny_dnn/util/product.h